%define oname	Heimdall

#define pre	RC2
%define rel	2

Name:		heimdall
Version:	1.4.0
Release:	%mkrel %{?pre:0.%{pre}.}%{rel}
Summary:	Flash firmware (aka ROMs) onto Samsung Galaxy S devices
Group:		Communications/Mobile
License:	MIT
URL:		http://www.glassechidna.com.au/products/%{name}/
Source0:	https://github.com/Benjamin-Dobell/Heimdall/archive/v%{version}%{?pre}.tar.gz
Patch0:		heimdall-1.4.0-fix-build.patch
BuildRequires:	usb1.0-devel
BuildRequires:	dos2unix
BuildRequires:	qt4-devel

%description
Heimdall is a cross-platform open-source utility to flash firmware (aka ROMs)
onto Samsung Galaxy S devices.

%package frontend
Summary:	Qt4 based frontend for %{name}
Group:		Communications/Mobile
Requires:	%{name} = %{version}-%{release}

%description frontend
Heimdall is a cross-platform open-source utility to flash firmware (aka ROMs)
onto Samsung Galaxy S devices.

This package provides Qt4 based frontend for %{name}.

%prep
%setup -q -n %{oname}-%{version}%{?pre}
%patch0 -p0 -b .orig

#fix EOLs
dos2unix Linux/README

#fix frontend install
sed -i -e 's|/usr/local/bin|%{_bindir}|g' heimdall-frontend/heimdall-frontend.pro

#not needed
rm -rf libusbx-1.0

%build
pushd libpit
	autoreconf -vfi
	%configure2_5x
	%make V=1
popd

pushd heimdall
	autoreconf -vfi
	%configure2_5x
	%make V=1
popd

pushd heimdall-frontend
	%qmake_qt4 heimdall-frontend.pro
	%make V=1
popd

%install
pushd heimdall
	%makeinstall_std \
		udevrulesdir=%{_udevrulesdir}
popd

pushd heimdall-frontend
	%make INSTALL_ROOT=%{buildroot} install
popd

# desktop file
# TODO: better icon
mkdir -p %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Heimdall
Comment=Flash firmware (aka ROMs) onto Samsung Galaxy S devices
Icon=phone
Exec=%{name}-frontend
Terminal=false
Type=Application
Categories=Qt;Utility;Development;
EOF

%files
%doc Linux/README LICENSE
%{_bindir}/%{name}
%{_udevrulesdir}/60-heimdall.rules

%files frontend
%doc Linux/README LICENSE
%{_bindir}/%{name}-frontend
%{_datadir}/applications/%{name}.desktop


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 1.4.0-2.mga4
+ Revision: 540996
- Mageia 4 Mass Rebuild

* Thu Oct 10 2013 wally <wally> 1.4.0-1.mga4
+ Revision: 494800
- revert to 1.4.0 (as 1.4.1 RC2 disappeared mystically from upstream)

* Thu May 23 2013 wally <wally> 1.4.1-0.RC2.1.mga4
+ Revision: 425171
- new version 1.4.1 rc2
- rediff patches

* Sat Jan 12 2013 umeabot <umeabot> 1.3.2-3.mga3
+ Revision: 353164
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 24 2012 malo <malo> 1.3.2-2.mga3
+ Revision: 309715
- update RPM group

* Mon Jun 04 2012 wally <wally> 1.3.2-1.mga3
+ Revision: 254426
- new version 1.3.2

* Fri Feb 24 2012 wally <wally> 1.3.1-1.mga2
+ Revision: 214095
- new version 1.3.1
- rediff P0
- imported package heimdall

